## r-cran-r.oo 1.19.0

=== DESCRIPTION ===
Package: R.oo
Version: 1.19.0
Depends: R (>= 2.4.0), R.methodsS3 (>= 1.7.0)
Imports: methods, utils
Suggests: tools
Date: 2015-02-27
Title: R Object-Oriented Programming with or without References
Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                                          email = "henrikb@braju.com"))
Author: Henrik Bengtsson [aut, cre, cph]
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Description: Methods and classes for object-oriented programming in R with or without references.  Large effort has been made on making definition of methods as simple as possible with a minimum of maintenance for package developers.  The package has been developed since 2001 and is now considered very stable.  This is a cross-platform package implemented in pure R that defines standard S3 classes without any tricks.
License: LGPL (>= 2.1)
LazyLoad: TRUE
URL: https://github.com/HenrikBengtsson/R.oo
BugReports: https://github.com/HenrikBengtsson/R.oo/issues
NeedsCompilation: no
Packaged: 2015-02-27 19:06:32 UTC; hb
Repository: CRAN
Date/Publication: 2015-02-28 01:28:49

=== debian/changelog ===
r-cran-r.oo (1.19.0-2) unstable; urgency=medium

  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Sat, 18 Jul 2015 07:59:12 +0200

r-cran-r.oo (1.19.0-1) unstable; urgency=medium

  * Initial upload (Closes: #791483 

 -- Andreas Tille <tille@debian.org>  Sun, 05 Jul 2015 19:05:09 +0200

=== debian/control ===
Source: r-cran-r.oo
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-r.methodss3 (>= 1.7.0)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-r.oo/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-r.oo/
Homepage: http://cran.r-project.org/web/packages/R.oo

Package: r-cran-r.oo
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends},
         r-cran-r.methodss3 (>= 1.7.0)
Description: GNU R object-oriented programming with or without references
 Methods and classes for object-oriented programming in R with or
 without references. Large effort has been made on making definition of
 methods as simple as possible with a minimum of maintenance for package
 developers. The package has been developed since 2001 and is now
 considered very stable. This is a cross-platform package implemented in
 pure R that defines standard S3 classes without any tricks.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/R.oo_([\d.-]*)\.tar\.gz

## r-cran-r.oo 1.21.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: R.oo
-Version: 1.19.0
-Depends: R (>= 2.4.0), R.methodsS3 (>= 1.7.0)
+Version: 1.21.0
+Depends: R (>= 2.13.0), R.methodsS3 (>= 1.7.1)
 Imports: methods, utils
 Suggests: tools
-Date: 2015-02-27
+Date: 2016-10-30
 Title: R Object-Oriented Programming with or without References
 Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                                           email = "henrikb@braju.com"))
@@ -15,6 +15,6 @@
 URL: https://github.com/HenrikBengtsson/R.oo
 BugReports: https://github.com/HenrikBengtsson/R.oo/issues
 NeedsCompilation: no
-Packaged: 2015-02-27 19:06:32 UTC; hb
+Packaged: 2016-10-31 16:46:50 UTC; hb
 Repository: CRAN
-Date/Publication: 2015-02-28 01:28:49
+Date/Publication: 2016-11-01 00:03:19

=== debian/changelog ===
r-cran-r.oo (1.21.0-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Secure watch file
  * Standards-Version: 4.1.1
  * Fix permissions

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2017 19:51:20 +0100

r-cran-r.oo (1.21.0-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN

 -- Andreas Tille <tille@debian.org>  Tue, 08 Nov 2016 09:11:12 +0100

=== debian/control ===
Source: r-cran-r.oo
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-cran-r.methodss3 (>= 1.7.0)
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-r.oo.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-r.oo.git
Homepage: https://cran.r-project.org/package=R.oo

Package: r-cran-r.oo
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R object-oriented programming with or without references
 Methods and classes for object-oriented programming in R with or
 without references. Large effort has been made on making definition of
 methods as simple as possible with a minimum of maintenance for package
 developers. The package has been developed since 2001 and is now
 considered very stable. This is a cross-platform package implemented in
 pure R that defines standard S3 classes without any tricks.

## r-cran-r.oo 1.22.0

=== debian/changelog ===
r-cran-r.oo (1.22.0-2) unstable; urgency=medium

  * Team upload.
  * Switch Architecture to all from any.
  * Standards-Version: 4.2.1.
  * Maintainer: Debian R Packages Maintainers.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 02 Oct 2018 22:29:34 +0200

r-cran-r.oo (1.22.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Tue, 24 Apr 2018 14:49:14 +0200

=== debian/control ===
Source: r-cran-r.oo
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-r.methodss3 (>= 1.7.1)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r.oo
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r.oo.git
Homepage: https://cran.r-project.org/package=R.oo

Package: r-cran-r.oo
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R object-oriented programming with or without references
 Methods and classes for object-oriented programming in R with or
 without references. Large effort has been made on making definition of
 methods as simple as possible with a minimum of maintenance for package
 developers. The package has been developed since 2001 and is now
 considered very stable. This is a cross-platform package implemented in
 pure R that defines standard S3 classes without any tricks.

## r-cran-r.oo 1.23.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Package: R.oo
-Version: 1.21.0
+Version: 1.23.0
 Depends: R (>= 2.13.0), R.methodsS3 (>= 1.7.1)
 Imports: methods, utils
 Suggests: tools
-Date: 2016-10-30
 Title: R Object-Oriented Programming with or without References
 Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                                           email = "henrikb@braju.com"))
@@ -15,6 +14,6 @@
 URL: https://github.com/HenrikBengtsson/R.oo
 BugReports: https://github.com/HenrikBengtsson/R.oo/issues
 NeedsCompilation: no
-Packaged: 2016-10-31 16:46:50 UTC; hb
+Packaged: 2019-11-03 02:01:44 UTC; hb
 Repository: CRAN
-Date/Publication: 2016-11-01 00:03:19
+Date/Publication: 2019-11-03 08:40:02 UTC

=== debian/changelog ===
r-cran-r.oo (1.23.0-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:21:41 +0000

r-cran-r.oo (1.23.0-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 21:58:56 +0200

r-cran-r.oo (1.23.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 12 Nov 2019 14:23:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-r.methodss3 (>= 1.7.1)
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r.oo
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r.oo.git
 Homepage: https://cran.r-project.org/package=R.oo
+Rules-Requires-Root: no
 
 Package: r-cran-r.oo
 Architecture: all

## r-cran-r.oo 1.24.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: R.oo
-Version: 1.23.0
-Depends: R (>= 2.13.0), R.methodsS3 (>= 1.7.1)
+Version: 1.24.0
+Depends: R (>= 2.13.0), R.methodsS3 (>= 1.8.0)
 Imports: methods, utils
 Suggests: tools
 Title: R Object-Oriented Programming with or without References
@@ -14,6 +14,6 @@
 URL: https://github.com/HenrikBengtsson/R.oo
 BugReports: https://github.com/HenrikBengtsson/R.oo/issues
 NeedsCompilation: no
-Packaged: 2019-11-03 02:01:44 UTC; hb
+Packaged: 2020-08-24 16:24:06 UTC; hb
 Repository: CRAN
-Date/Publication: 2019-11-03 08:40:02 UTC
+Date/Publication: 2020-08-26 16:11:58 UTC

=== debian/changelog ===
r-cran-r.oo (1.24.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Sep 2020 10:56:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-r.methodss3 (>= 1.7.1)
+               r-cran-r.methodss3 (>= 1.8.0)
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r.oo
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r.oo.git

## r-cran-r.oo 1.25.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: R.oo
-Version: 1.24.0
-Depends: R (>= 2.13.0), R.methodsS3 (>= 1.8.0)
+Version: 1.25.0
+Depends: R (>= 2.13.0), R.methodsS3 (>= 1.8.1)
 Imports: methods, utils
 Suggests: tools
 Title: R Object-Oriented Programming with or without References
@@ -14,6 +14,6 @@
 URL: https://github.com/HenrikBengtsson/R.oo
 BugReports: https://github.com/HenrikBengtsson/R.oo/issues
 NeedsCompilation: no
-Packaged: 2020-08-24 16:24:06 UTC; hb
+Packaged: 2022-06-12 00:26:52 UTC; hb
 Repository: CRAN
-Date/Publication: 2020-08-26 16:11:58 UTC
+Date/Publication: 2022-06-12 02:20:02 UTC

=== debian/changelog ===
r-cran-r.oo (1.25.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 24 Jun 2022 08:50:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-r.oo
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r.oo
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r.oo.git
+Homepage: https://cran.r-project.org/package=R.oo
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-r.methodss3 (>= 1.8.0)
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r.oo
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r.oo.git
-Homepage: https://cran.r-project.org/package=R.oo
-Rules-Requires-Root: no
+               r-cran-r.methodss3 (>= 1.8.1)
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-r.oo
 Architecture: all

## r-cran-r.oo 1.26.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: R.oo
-Version: 1.25.0
-Depends: R (>= 2.13.0), R.methodsS3 (>= 1.8.1)
+Version: 1.26.0
+Depends: R (>= 2.13.0), R.methodsS3 (>= 1.8.2)
 Imports: methods, utils
 Suggests: tools
 Title: R Object-Oriented Programming with or without References
@@ -14,6 +14,6 @@
 URL: https://github.com/HenrikBengtsson/R.oo
 BugReports: https://github.com/HenrikBengtsson/R.oo/issues
 NeedsCompilation: no
-Packaged: 2022-06-12 00:26:52 UTC; hb
+Packaged: 2024-01-24 02:17:13 UTC; henrik
 Repository: CRAN
-Date/Publication: 2022-06-12 02:20:02 UTC
+Date/Publication: 2024-01-24 05:12:50 UTC

=== debian/changelog ===
r-cran-r.oo (1.26.0-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 31 Jan 2024 21:57:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r.oo
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r.oo.git
 Homepage: https://cran.r-project.org/package=R.oo
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-r.methodss3 (>= 1.8.1)
+               r-cran-r.methodss3 (>= 1.8.2)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-r.oo

## r-cran-r.oo 1.27.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: R.oo
-Version: 1.26.0
+Version: 1.27.0
 Depends: R (>= 2.13.0), R.methodsS3 (>= 1.8.2)
 Imports: methods, utils
 Suggests: tools
@@ -14,6 +14,6 @@
 URL: https://github.com/HenrikBengtsson/R.oo
 BugReports: https://github.com/HenrikBengtsson/R.oo/issues
 NeedsCompilation: no
-Packaged: 2024-01-24 02:17:13 UTC; henrik
+Packaged: 2024-11-01 17:26:30 UTC; henrik
 Repository: CRAN
-Date/Publication: 2024-01-24 05:12:50 UTC
+Date/Publication: 2024-11-01 18:00:02 UTC

=== debian/changelog ===
r-cran-r.oo (1.27.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 27 Jan 2025 15:36:43 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r.oo
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r.oo.git
 Homepage: https://cran.r-project.org/package=R.oo
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.R" -exec chmod -x \{\} \;
	find debian -name "*.pdf" -exec chmod -x \{\} \;

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/R.oo_@ANY_VERSION@@ARCHIVE_EXT@

## r-cran-r.oo 1.27.1

=== debian/changelog ===
r-cran-r.oo (1.27.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Fri, 30 Jan 2026 12:01:54 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: r-cran-r.oo
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-r.methodss3,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r.oo
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r.oo.git
 Homepage: https://cran.r-project.org/package=R.oo
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-r.methodss3 (>= 1.8.2)
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-r.oo
 Architecture: all
